<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
	let frase="", letras="", acuma=0, acume=0, acumi=0, acumo=0, acumu=0, tcaract=0;

	frase=prompt("Introduce una frase");

	tcaract=frase.length;

	//Así contaría los caracteres sin espacios
	
	for(s=0,c=0;c<frase.length;c++){
		if(frase[c]!=" "){
			s++;
		}
	}


	for(i=0;i<=frase.length-1;i++) {

		if(frase[i]=="a") {
			acuma=acuma+1;
		} else if (frase[i]=="e") {
			acume=acume+1;
		} else if (frase[i]=="i") {
			acumi=acumi+1;
		} else if (frase[i]=="o") {
			acumo=acumo+1;

		} else if(frase[i]=="u") {
			acumu=acumu+1;

		} else {

		}

	}

	document.write("El número total de caracteres es: "+tcaract+"<br>");
	document.write("El número total de caracteres sin espacios es: "+s+"<br>");
	document.write("a: "+acuma+"<br>");
	document.write("e: "+acume+"<br>");
	document.write("i: "+acumi+"<br>");
	document.write("o: "+acumo+"<br>");
	document.write("u: "+acumu+"<br>");






	</script>
</head>
<body>
	
</body>
</html>